[Xfce4-commits] <xfce-git-migration:master> support setting up only a single repo
Brian J. Tarricone
brian at tarricone.org
Mon Sep 14 07:32:01 CEST 2009
Updating branch refs/heads/master
to d8749a22198a6605c034997dd5770f56e6133019 (commit)
from 28d73d50967e5ded6b532c64113e5769673522af (commit)
commit d8749a22198a6605c034997dd5770f56e6133019
Author: Brian J. Tarricone <brian at tarricone.org>
Date: Mon Sep 14 05:29:57 2009 +0000
support setting up only a single repo
repos-final-prep.sh | 24 +++++++++++++++---------
1 files changed, 15 insertions(+), 9 deletions(-)
diff --git a/repos-final-prep.sh b/repos-final-prep.sh
index 12abf09..b24e2ad 100755
--- a/repos-final-prep.sh
+++ b/repos-final-prep.sh
@@ -4,10 +4,8 @@ GIT_REPOS_ROOT=/var/git
HOOKS_DIR=/usr/local/share/xfce-git-hooks
HOOKS="update post-update"
-pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
-
-for d in `find -type d -name hooks`; do
- export GIT_DIR=`dirname $d`
+setup_repo() {
+ export GIT_DIR="$1"
chown -R root:git-push $GIT_DIR
chmod -R a+r,ug+w $GIT_DIR
@@ -17,8 +15,8 @@ for d in `find -type d -name hooks`; do
git config core.sharedRepository group
for h in $HOOKS; do
- rm -f $d/$h
- ln -sf $HOOKS_DIR/$h $d/$h
+ rm -f "$GIT_DIR/hooks/$h"
+ ln -sf "$HOOKS_DIR/$h" "$GIT_DIR/hooks/$h"
done
git config xfce-hooks.mailinglist xfce4-commits at xfce.org
@@ -29,6 +27,14 @@ for d in `find -type d -name hooks`; do
if [ "$repo_group" = "xfce" ]; then
git config xfce-hooks.replyto xfce4-dev at xfce.org
fi
-done
-
-popd &>/dev/null
+}
+
+if [ "$1" ]; then
+ setup_repo "$1"
+else
+ pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
+ for d in `find -type d -name hooks`; do
+ setup_repo `dirname $d`
+ done
+ popd &>/dev/null
+fi
More information about the Xfce4-commits
mailing list